Acontext
Learning_spacesIdSkills

Include skill in space

POST
/learning_spaces/{id}/skills

Add a skill to a learning space.

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Path Parameters

id*string

Learning space UUID

Request Body

application/json

Include skill request

TypeScript Definitions

Use the request body type in TypeScript.

skill_id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/learning_spaces/string/skills" \  -H "Content-Type: application/json" \  -d '{    "skill_id": "skill-uuid"  }'
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "created_at": "string",
    "id": "string",
    "learning_space_id": "string",
    "skill_id": "string"
  }
}
{
  "code": 0,
  "error": "string",
  "msg": "string"
}
{
  "code": 0,
  "error": "string",
  "msg": "string"
}